Loading...
Searching...
No Matches
Region1.hpp File Reference

Implements the equations for region 1 of the IAPWS '97 formulation. More...

`#include <opm/material/common/MathToolbox.hpp>`
`#include <cmath>`

Go to the source code of this file.

## Classes

class | Opm::IAPWS::Region1< Scalar >
| Implements the equations for region 1 of the IAPWS '97 formulation. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implements the equations for region 1 of the IAPWS '97 formulation.

Template Parameters

  Scalar | The type used for scalar values

See:

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf